[arch-commits] CVS update of extra/lib/qt3 (qt.install)

Pierre Schmitz pierre at archlinux.org
Sat Nov 10 15:21:24 EST 2007


    Date: Saturday, November 10, 2007 @ 15:21:24
  Author: pierre
    Path: /home/cvs-extra/extra/lib/qt3

   Added: qt.install (1.1)

upgpkg: qt3 3.3.8-5


------------+
 qt.install |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)


Index: extra/lib/qt3/qt.install
diff -u /dev/null extra/lib/qt3/qt.install:1.1
--- /dev/null	Sat Nov 10 15:21:24 2007
+++ extra/lib/qt3/qt.install	Sat Nov 10 15:21:24 2007
@@ -0,0 +1,24 @@
+post_install() {
+  if ! [ `grep '/opt/qt/lib' etc/ld.so.conf` ]; then
+    echo "/opt/qt/lib" >>etc/ld.so.conf
+    sbin/ldconfig -r .
+  fi
+  echo "INFORMATION:"
+  echo "Documentation is seperated it's called qt3-doc"
+}
+
+post_upgrade() {
+  /bin/true
+}
+
+pre_remove() {
+  cat etc/ld.so.conf | grep -v '/opt/qt/lib' >/tmp/.pacqt
+  mv /tmp/.pacqt etc/ld.so.conf
+  chmod 644 etc/ld.so.conf
+  sbin/ldconfig -r .
+}
+
+op=$1
+shift
+
+$op $*




More information about the arch-commits mailing list